import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { ViewType } from '@app/shared/enumerators/flight-request-type.enum';
import { RouterHandlerService } from '@shared/services/router-handler.service';

@Component({
    selector: 'details-back',
    templateUrl: './details-back.component.html',
    changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailsBackComponent {
    @Input() viewType: ViewType;
    ViewType = ViewType;

    constructor(private navigate: RouterHandlerService) {}

    redirectBoard() {
        this.navigate.toBoard();
    }

    redirectSchedule() {
        this.navigate.toSchedule();
    }
}
